hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jan David Schneider <jan1.schnei...@st.ovgu.de>
Subject Question: Possibly missing Hbase jars in the Apache Maven repo
Date Wed, 04 May 2016 20:06:48 GMT
Dear Developers,

I am very sorry, if I am contacting the wrong email-list to adress my  
issue. Nevertheless I want to ask you about the following: When  
importing different versions of Hbase (specifically all versions  
 >0.94.27) through the dependencies of my Maven project in IntelliJ,  
the dependency cannot be resolved, because IntelliJ cannot find the  
corresponding jar in the Apache Maven repo. I'm talking about the  
following dependency:

Soon after I found out that the link (which IntelliJ tries to resolve) to the
aswell as the coressponding links to the Hbase jars with a version  
newer than 0.94.27 lead to an Error 404.
Am I (or is IntelliJ) doing something wrong?

If that is not the case: Could you make the Hbase jars available again  
in the Apache Maven repo? Being able to use a newer version of the  
Hbase jar would help me very much, since my cluster displays a
java.lang.NoClassDefFoundError: org/apache/hadoop/hbase/HBaseConfiguration
Error everytime I execute a MapReduce Job and I suspect the missing  
(or too old of a version) Hbase jar to be the reason, since I'm  
importing the HBaseConfiguration Class via
import org.apache.hadoop.hbase.HBaseConfiguration.

Thank you for your help and again my apologies, if I am adressing the  
wrong email addresses.

Best Regards,

View raw message